Package ru.bitel.bgbilling.kernel.event

# Class AbstractExecutorEventWorker

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.AbstractExecutorEventWorker

All Implemented Interfaces:
  `javax.jms.MessageListener`, `ru.bitel.bgbilling.kernel.application.server.Lifecycle`, `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`

Direct Known Subclasses:
  `ExecutorEventWorker`

public abstract class AbstractExecutorEventWorker extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements EventListener<ru.bitel.bgbilling.kernel.event.common.Event>, javax.jms.MessageListener, ru.bitel.bgbilling.kernel.application.server.Lifecycle

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final ru.bitel.bgbilling.kernel.event.AbstractConsumer`
  `consumer`
  `protected final int`
  `moduleId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractExecutorEventWorker(EventProcessor ep, Class<? extends ru.bitel.bgbilling.kernel.event.common.Event> clazz, int moduleId, int pluginId, String query)`
  `AbstractExecutorEventWorker(EventProcessor ep, String destination, int moduleId, int pluginId, String query, Class<?>... clazz)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `shutdown()`
  `void`
  `start()`
  `void`
  `stop()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.event.EventListener

  `notify`

  ### Methods inherited from interface javax.jms.MessageListener

  `onMessage`

- ## Field Details

  - ### consumer

    protected final ru.bitel.bgbilling.kernel.event.AbstractConsumer consumer

  - ### moduleId

    protected final int moduleId

- ## Constructor Details

  - ### AbstractExecutorEventWorker

    public AbstractExecutorEventWorker(EventProcessor ep, Class<? extends ru.bitel.bgbilling.kernel.event.common.Event> clazz, int moduleId, int pluginId, String query) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### AbstractExecutorEventWorker

    public AbstractExecutorEventWorker(EventProcessor ep, String destination, int moduleId, int pluginId, String query, Class<?>... clazz) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

- ## Method Details

  - ### start

    public void start() throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `start` in interface `ru.bitel.bgbilling.kernel.application.server.Lifecycle`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### stop

    public void stop() throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `stop` in interface `ru.bitel.bgbilling.kernel.application.server.Lifecycle`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### shutdown

    public void shutdown() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`